# Generated from regressy_common-1.4.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name regressy_common

Name: rubygem-%{gem_name}
Version: 1.4.4
Release: 1%{?dist}
Summary: Shared module for regression test at Regressy
License: MIT
URL: https://bitbucket.org/fluxware_jp/regressy_common
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(pry-byebug) >= 3.7
# BuildRequires: rubygem(pry-byebug) < 4
# BuildRequires: rubygem(webmock) >= 3.6.2
# BuildRequires: rubygem(webmock) < 3.7
# BuildRequires: rubygem(test-unit) >= 3.3.4
# BuildRequires: rubygem(test-unit) < 3.4
BuildArch: noarch

%description
Shared module for regression test at Regressy.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/docker
%{gem_instdir}/regressy_common.gemspec

%changelog
* Tue Sep 14 2021 mockbuilder - 1.4.4-1
- Initial package
